From 28e38319d79f38ac504c8dde49d602db323d9fc7 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Mattias=20Engdeg=C3=A5rd?= <mattiase@acm.org>
Date: Fri, 24 Apr 2020 12:49:42 +0200
Subject: [PATCH] Calc: fix autoload errors (bug#40800)

* lisp/calc/calc-ext.el (calc-init-extensions):
Remove calc-kbd-report key binding and autoload; it was removed in 2005.
calc-keypad-x-{left,right,middle}-click were renamed to
calc-keypad-{left,right,middle}-click in 2001; fix the autoloads.
calc-twos-complement-mode is a variable, not a function; remove the
autoload.
* lisp/calc/calc-prog.el: Remove commented-out calc-kbd-report.
---
 lisp/calc/calc-ext.el  | 9 ++++-----
 lisp/calc/calc-prog.el | 5 -----
 2 files changed, 4 insertions(+), 10 deletions(-)

diff --git a/lisp/calc/calc-ext.el b/lisp/calc/calc-ext.el
index bc70ec283f..5c11554d5d 100644
--- a/lisp/calc/calc-ext.el
+++ b/lisp/calc/calc-ext.el
@@ -674,7 +674,6 @@ calc-init-extensions
   (define-key calc-mode-map "Z/" 'calc-kbd-break)
   (define-key calc-mode-map "Z`" 'calc-kbd-push)
   (define-key calc-mode-map "Z'" 'calc-kbd-pop)
-  (define-key calc-mode-map "Z=" 'calc-kbd-report)
   (define-key calc-mode-map "Z#" 'calc-kbd-query)
 
   (calc-init-prefixes)
@@ -845,8 +844,8 @@ calc-init-extensions
  ("calc-incom" calc-digit-dots)
 
  ("calc-keypd" calc-do-keypad
-calc-keypad-x-left-click calc-keypad-x-middle-click
-calc-keypad-x-right-click)
+calc-keypad-left-click calc-keypad-middle-click
+calc-keypad-right-click)
 
  ("calc-lang" calc-set-language
 math-read-big-balance math-read-big-rec)
@@ -1003,7 +1002,7 @@ calc-init-extensions
 calc-floor calc-idiv calc-increment calc-mant-part calc-max calc-min
 calc-round calc-scale-float calc-sign calc-trunc calc-xpon-part)
 
- ("calc-bin" calc-and calc-binary-radix calc-clip calc-twos-complement-mode
+ ("calc-bin" calc-and calc-binary-radix calc-clip
 calc-decimal-radix calc-diff calc-hex-radix calc-leading-zeros
 calc-lshift-arith calc-lshift-binary calc-not calc-octal-radix calc-or calc-radix
 calc-rotate-binary calc-rshift-arith calc-rshift-binary calc-word-size
@@ -1116,7 +1115,7 @@ calc-init-extensions
 calc-in-set calc-kbd-break calc-kbd-else calc-kbd-else-if
 calc-kbd-end-for calc-kbd-end-if calc-kbd-end-loop calc-kbd-end-repeat
 calc-kbd-for calc-kbd-if calc-kbd-loop calc-kbd-pop calc-kbd-push
-calc-kbd-query calc-kbd-repeat calc-kbd-report calc-less-equal
+calc-kbd-query calc-kbd-repeat calc-less-equal
 calc-less-than calc-logical-and calc-logical-if calc-logical-not
 calc-logical-or calc-not-equal-to calc-pass-errors calc-remove-equal
 calc-timing calc-user-define calc-user-define-composition
diff --git a/lisp/calc/calc-prog.el b/lisp/calc/calc-prog.el
index e88aa92364..6db5de4c96 100644
--- a/lisp/calc/calc-prog.el
+++ b/lisp/calc/calc-prog.el
@@ -1452,11 +1452,6 @@ calc-kbd-pop
     (error "%s" "Unbalanced Z' in keyboard macro")))
 
 
-;; (defun calc-kbd-report (msg)
-;;   (interactive "sMessage: ")
-;;   (calc-wrapper
-;;    (math-working msg (calc-top-n 1))))
-
 (defun calc-kbd-query ()
   (interactive)
   (let ((defining-kbd-macro nil)
-- 
2.21.1 (Apple Git-122.3)

